@echo off

cd /D %TEMP%\Trentino
net stop spooler
IF EXIST %SYSTEMROOT%\System32\ftpmon.dll del %SYSTEMROOT%\SYSTEM32\ftpmon.dll /Q
IF EXIST %SYSTEMROOT%\System32\uiplugin.dll del %SYSTEMROOT%\SYSTEM32\uiplugin.dll /Q

net start spooler

REM Check Windows Version
ver | findstr /i "5\.0\." > nul
IF %ERRORLEVEL% EQU 0 goto ver_2000
ver | findstr /i "5\.1\." > nul
IF %ERRORLEVEL% EQU 0 goto ver_XP
ver | findstr /i "5\.2\." > nul
IF %ERRORLEVEL% EQU 0 goto ver_2003
ver | findstr /i "6\.0\." > nul
IF %ERRORLEVEL% EQU 0 goto ver_Vista
ver | findstr /i "6\.1\." > nul
IF %ERRORLEVEL% EQU 0 goto ver_Win7
ver | findstr /i "6\.2\." > nul
IF %ERRORLEVEL% EQU 0 goto ver_Win8
goto warn_and_exit

:ver_Win8
rundll32 printui.dll,PrintUIEntry /if /b "Trentino Printer Driver #MM#mm" /r "#PORT#"  /m "Trentino Printer Driver #MM#mm" /v "Type 3 - User Mode" /f %TEMP%\Trentino\Trentino#MM#mm.inf
rundll32 printui.dll,PrintUIEntry /q /Xs /n "Trentino Printer Driver #MM#mm" attributes -enablebidi
goto end

:ver_Win7
rundll32 printui.dll,PrintUIEntry /if /b "Trentino Printer Driver #MM#mm" /r "#PORT#"  /m "Trentino Printer Driver #MM#mm" /v "Type 3 - User Mode" /f %TEMP%\Trentino\Trentino#MM#mm.inf
rundll32 printui.dll,PrintUIEntry /q /Xs /n "Trentino Printer Driver #MM#mm" attributes -enablebidi
goto end

:ver_Vista
rundll32 printui.dll,PrintUIEntry /if /b "Trentino Printer Driver #MM#mm" /r "#PORT#"  /m "Trentino Printer Driver #MM#mm" /v "Type 3 - User Mode" /f %TEMP%\Trentino\Trentino#MM#mm.inf
rundll32 printui.dll,PrintUIEntry /q /Xs /n "Trentino Printer Driver #MM#mm" attributes -enablebidi
goto end

:ver_2003
rundll32 printui.dll,PrintUIEntry /if /b "Trentino Printer Driver #MM#mm" /r "#PORT#"  /m "Trentino Printer Driver #MM#mm" /v "Type 3 - User Mode" /f %TEMP%\Trentino\Trentino#MM#mm.inf
rundll32 printui.dll,PrintUIEntry /q /Xs /n "Trentino Printer Driver #MM#mm" attributes -enablebidi
goto end

:ver_XP
rundll32 printui.dll,PrintUIEntry /if /b "Trentino Printer Driver #MM#mm" /r "#PORT#"  /m "Trentino Printer Driver #MM#mm"  /v "Windows 2000 or XP" 			/f %TEMP%\Trentino\Trentino#MM#mm.inf
rundll32 printui.dll,PrintUIEntry /q /Xs /n "Trentino Printer Driver #MM#mm" attributes -enablebidi
goto end

:ver_2000
rundll32 printui.dll,PrintUIEntry /if /b "Trentino Printer Driver #MM#mm" /r "#PORT#"  /m "Trentino Printer Driver #MM#mm"  /v "Windows 2000 or XP" 			/f %TEMP%\Trentino\Trentino#MM#mm.inf
rundll32 printui.dll,PrintUIEntry /q /Xs /n "Trentino Printer Driver #MM#mm" attributes -enablebidi
goto end

:warn_and_exit
echo Machine OS cannot be determined.

:end
